Package org.eclipse.microprofile.fault.tolerance.tck.metrics.common

# Class ClassLevelMetricBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.metrics.common.ClassLevelMetricBean

@RequestScoped @Retry(maxRetries=5) public class ClassLevelMetricBean extends Object
This is similar to RetryMetricBean but has the `@Retry` annotation on the class

## Constructor Summary

Constructors
Constructor
Description
`ClassLevelMetricBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`failSeveralTimes(int timesToFail)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassLevelMetricBean

public ClassLevelMetricBean()

## Method Details

### failSeveralTimes

public void failSeveralTimes(int timesToFail)